> ## Documentation Index
> Fetch the complete documentation index at: https://docs.b3.fun/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Indexing Status

` GET /blockscout/main-page/indexing-status `

Get Indexing Status

## Servers

- ` https://data-api.b3.fun/ ` — B3 Data API - Multi-Chain Proxy

## Responses

### ` 200 ` — Indexing Status

Content type: ` application/json `

- ` value `: type ` object `

  - Required fields: ` finished_indexing `, ` finished_indexing_blocks `, ` indexed_blocks_ratio `, ` indexed_internal_transactions_ratio `

  - ` finished_indexing `: type ` boolean `

  - ` finished_indexing_blocks `: type ` boolean `

  - ` indexed_blocks_ratio `: type ` string `

    - example: ` "1.0" `

  - ` indexed_internal_transactions_ratio `: type ` string `; nullable

    - example: ` "1.0" `

## Request examples

### cURL

```curl
curl -X GET 'https://data-api.b3.fun//blockscout/main-page/indexing-status'
```

### JavaScript

```javascript
const response = await fetch('https://data-api.b3.fun//blockscout/main-page/indexing-status', {
  method: 'GET'
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

response = requests.get('https://data-api.b3.fun//blockscout/main-page/indexing-status')
print(response.json())
```